package com.yifu.cloud.plus.v1.yifu.social.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.social.entity.TDispatchInfoPre;
import com.yifu.cloud.plus.v1.yifu.social.vo.TDispatchImportVo;
import com.yifu.cloud.plus.v1.yifu.social.vo.TDispatchInfoPreExportVo;
import com.yifu.cloud.plus.v1.yifu.social.vo.TDispatchInfoPreFundExportVo;
import com.yifu.cloud.plus.v1.yifu.social.vo.TDispatchInfoPreSearchVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 社保待购买表
 *
 * @author huych
 * @date 2025-09-30 16:40:07
 */
@Mapper
public interface TDispatchInfoPreMapper extends BaseMapper<TDispatchInfoPre> {
    /**
     * 社保待购买表简单分页查询
     * @param tDispatchInfoPre 社保待购买表
     * @return
     */
    IPage<TDispatchInfoPre> getTDispatchInfoPrePage(Page<TDispatchInfoPre> page, @Param("tDispatchInfoPre") TDispatchInfoPreSearchVo tDispatchInfoPre);

	List<TDispatchInfoPre> geNoPageList(@Param("tDispatchInfoPre") TDispatchInfoPreSearchVo tDispatchInfoPre);

	List<TDispatchInfoPre> geNoPageListNew(@Param("tDispatchInfoPre") TDispatchInfoPreSearchVo tDispatchInfoPre);

	long selectExportCount(@Param("tDispatchInfoPre") TDispatchInfoPreSearchVo searchVo);

	List<TDispatchInfoPreExportVo> selectExportList(@Param("tDispatchInfoPre") TDispatchInfoPreSearchVo searchVo);

	List<TDispatchImportVo> getDisPatcherSocialList(@Param("idList") List<String> idList, @Param("statusList") List<String> statusList, @Param("type") String type);

	List<TDispatchImportVo> getDisPatcherFundList(@Param("idList") List<String> idList, @Param("statusList") List<String> statusList, @Param("type") String type);

	List<TDispatchInfoPre> getAllUnDisSocialData();

	List<TDispatchInfoPre> getAllUnDisFundData();

	List<String> getAllUnDisDataIdList();

	List<String> getAllUnDisDataIdFundList();

	List<TDispatchInfoPreFundExportVo> selectFundExportList(@Param("tDispatchInfoPre")TDispatchInfoPreSearchVo searchVo);

	long selectFundExportCount(@Param("tDispatchInfoPre") TDispatchInfoPreSearchVo searchVo);

	long selectFundCount(@Param("tDispatchInfoPre") TDispatchInfoPreSearchVo searchVo);

	long selectSocialCount(@Param("tDispatchInfoPre") TDispatchInfoPreSearchVo searchVo);

}
